import { DataEntity, ItemFields, MappedStorableItem } from '../data-entity';
export interface ExtraDataStore<TClient extends DataEntity> {
    has(item: TClient, fields: ItemFields): any;
    set(item: MappedStorableItem<TClient>, fields?: ItemFields): any;
    setMany(items: MappedStorableItem<TClient>[], fields?: ItemFields): any;
    remove(itemId: number): any;
}
